# Uses of Interface
jebl.evolution.sequences.Sequence

Packages that use Sequence
Package
Description
jebl.evolution.align
Provides classes and interfaces for pairwise alignment of two sequences.
jebl.evolution.aligners
jebl.evolution.alignments
jebl.evolution.io
jebl.evolution.sequences

## Uses of Sequence in jebl.evolution.align

Methods in jebl.evolution.align with parameters of type Sequence
Modifier and Type
Method
Description
`Alignment`
BartonSternberg.`doAlign(Alignment alignment, Sequence sequence, ProgressListener progress)`
`Alignment`
MultipleAligner.`doAlign(Alignment alignment, Sequence sequence, ProgressListener progress)`
`PairwiseAligner.Result`
NeedlemanWunschLinearSpaceAffine.`doAlignment(Sequence seq1, Sequence seq2, ProgressListener progress)`
`PairwiseAligner.Result`
PairwiseAligner.`doAlignment(Sequence seq1, Sequence seq2, ProgressListener progress)`
`double`
NeedlemanWunschLinearSpaceAffine.`getScore(Sequence seq1, Sequence seq2)`
`double`
PairwiseAligner.`getScore(Sequence seq1, Sequence seq2)`
Method parameters in jebl.evolution.align with type arguments of type Sequence
Modifier and Type
Method
Description
`final String[]`
BartonSternberg.`align(List<Sequence> sourceSequences, ProgressListener progress, boolean refineOnly, boolean estimateMatchMismatchCosts)`
`static AlignmentTreeBuilderFactory.Result`
AlignmentTreeBuilderFactory.`build(List<Sequence> seqs, TreeBuilderFactory.Method method, MultipleAligner aligner, ProgressListener progress, boolean useTwiceMaximumDistanceWhenPairwiseDistanceNotCalculatable)`
`static AlignmentTreeBuilderFactory.Result`
AlignmentTreeBuilderFactory.`build(List<Sequence> seqs, TreeBuilderFactory.Method method, PairwiseAligner aligner, ProgressListener progressListener)`
Will use model F84 for nucleotides and Jukes-Cantor for amino acid
`static AlignmentTreeBuilderFactory.Result`
AlignmentTreeBuilderFactory.`build(List<Sequence> seqs, TreeBuilderFactory.Method method, PairwiseAligner aligner, ProgressListener progressListener, TreeBuilderFactory.DistanceModel model)`
`Alignment`
BartonSternberg.`doAlign(List<Sequence> seqs, RootedTree guideTree, ProgressListener progress)`
`Alignment`
MultipleAligner.`doAlign(List<Sequence> seqs, RootedTree guideTree, ProgressListener progress)`
`static TreeBuilderFactory.DistanceModel`
SequenceAlignmentsDistanceMatrix.`getDefaultDistanceModel(List<Sequence> seqs)`
Constructor parameters in jebl.evolution.align with type arguments of type Sequence
Modifier
Constructor
Description
``
`SequenceAlignmentsDistanceMatrix(List<Sequence> seqs, PairwiseAligner aligner, ProgressListener progress)`
``
`SequenceAlignmentsDistanceMatrix(List<Sequence> seqs, PairwiseAligner aligner, ProgressListener progress, TreeBuilderFactory.DistanceModel model)`

## Uses of Sequence in jebl.evolution.aligners

Method parameters in jebl.evolution.aligners with type arguments of type Sequence
Modifier and Type
Method
Description
`Alignment`
Aligner.`alignSequences(Collection<Sequence> sequences)`

## Uses of Sequence in jebl.evolution.alignments

Classes in jebl.evolution.alignments that implement Sequence
Modifier and Type
Class
Description
`class`
`ConsensusSequence`
Methods in jebl.evolution.alignments that return Sequence
Modifier and Type
Method
Description
`Sequence`
BasicAlignment.`getSequence(Taxon taxon)`
`Sequence`
ResampledAlignment.`getSequence(Taxon taxon)`
Methods in jebl.evolution.alignments that return types with arguments of type Sequence
Modifier and Type
Method
Description
`List<Sequence>`
Alignment.`getSequenceList()`
`List<Sequence>`
BasicAlignment.`getSequenceList()`
`List<Sequence>`
ResampledAlignment.`getSequenceList()`
`Set<Sequence>`
BasicAlignment.`getSequences()`
`Set<Sequence>`
ResampledAlignment.`getSequences()`
Methods in jebl.evolution.alignments with parameters of type Sequence
Modifier and Type
Method
Description
`void`
BasicAlignment.`addSequence(Sequence sequence)`
Adds a sequence to this alignment
Constructors in jebl.evolution.alignments with parameters of type Sequence
Modifier
Constructor
Description
``
`BasicAlignment(Sequence[] sequences)`
Constructs a basic alignment from an array of sequences.
Constructor parameters in jebl.evolution.alignments with type arguments of type Sequence
Modifier
Constructor
Description
``
`BasicAlignment(Collection<? extends Sequence> sequences)`
Constructs a basic alignment from a collection of sequences.

## Uses of Sequence in jebl.evolution.io

Methods in jebl.evolution.io that return types with arguments of type Sequence
Modifier and Type
Method
Description
`final List<Sequence>`
FastaImporter.`importSequences()`
`List<Sequence>`
NexusImporter.`importSequences()`
Import all sequences in the input from the current position
`List<Sequence>`
PhylipSequentialImporter.`importSequences()`
importSequences.
`List<Sequence>`
SequenceImporter.`importSequences()`
importSequences.
`List<Sequence>`
NexusImporter.`parseCharactersBlock(List<Taxon> taxonList)`
Parse the next 'CHARACTERS' block encountered in the input.
`List<Sequence>`
NexusImporter.`parseDataBlock(List<Taxon> taxonList)`
Parse the next 'DATA' block encountered in the input.
Methods in jebl.evolution.io with parameters of type Sequence
Modifier and Type
Method
Description
`void`
ImmediateSequenceImporter.Callback.`add(Sequence seq)`
`void`
FastaExporter.`exportSequence(Sequence sequence)`
export a sequence.
Method parameters in jebl.evolution.io with type arguments of type Sequence
Modifier and Type
Method
Description
`void`
FastaExporter.`exportSequences(Collection<? extends Sequence> sequences)`
export alignment or set of sequences.
`void`
NexusExporter.`exportSequences(Collection<? extends Sequence> sequences)`
export alignment.
`void`
SequenceExporter.`exportSequences(Collection<? extends Sequence> sequences)`
exportSequences.

## Uses of Sequence in jebl.evolution.sequences

Classes in jebl.evolution.sequences that implement Sequence
Modifier and Type
Class
Description
`class`
`BasicSequence`
A default implementation of the Sequence interface.
`class`
`CanonicalSequence`
A default implementation of the Sequence interface that converts sequence characters to States such that calling getString() will always return uppercase residues with nucleotide U residues converted to T
`class`
`CodonSequence`
A codon implementation of the Sequence interface.
`class`
`FilteredSequence`
`class`
`GaplessSequence`
`class`
`TranslatedSequence`
Methods in jebl.evolution.sequences that return Sequence
Modifier and Type
Method
Description
`static Sequence`
Sequence.`appendSequences(Sequence sequence1, Sequence sequence2)`
Append two sequences together to create a new sequence object.
`Sequence`
Sequences.`getSequence(Taxon taxon)`
`static Sequence`
Sequence.`getSubSequence(Sequence sequence, int from, int to)`
Returns a sub-sequence for states from, to (inclusive).
`static Sequence`
SequenceTester.`getTestSequence1()`
`static Sequence`
SequenceTester.`getTestSequence2()`
`static Sequence`
Sequence.`replaceStates(Sequence sequence, List<State> searchStates, State replaceState)`
Searchers and replaces a sequence of any states given
`static Sequence`
Sequence.`stripGaps(Sequence sequence)`
Strips a sequence of gaps
`static Sequence`
Sequence.`stripStates(Sequence sequence, List<State> stripStates)`
Strips a sequence of any states given
`static Sequence`
Utils.`translate(Sequence sequence, GeneticCode geneticCode)`
Translates a given `Sequence` to a corresponding `Sequence` under the given genetic code.
`static Sequence`
Utils.`translate(Sequence sequence, GeneticCode geneticCode, int readingFrame)`
Translates a given `Sequence` to a corresponding `Sequence` under the given genetic code.
`static Sequence`
Sequence.`trimSequence(Sequence sequence, List<State> trimStates)`
Methods in jebl.evolution.sequences that return types with arguments of type Sequence
Modifier and Type
Method
Description
`Set<Sequence>`
Sequences.`getSequences()`
Methods in jebl.evolution.sequences with parameters of type Sequence
Modifier and Type
Method
Description
`static Sequence`
Sequence.`appendSequences(Sequence sequence1, Sequence sequence2)`
Append two sequences together to create a new sequence object.
`static int`
Utils.`getGaplessLocation(Sequence sequence, int gappedLocation)`
Gets the site location index for this sequence excluding any gaps.
`static int`
Utils.`getGappedLocation(Sequence sequence, int gaplessLocation)`
Gets the site location index for this sequence that corresponds to a location given excluding all gaps.
`static int`
Sequence.`getStateCount(Sequence sequence, State state)`
Counts the number of occurances of a state
`static int`
Utils.`getStopCodonCount(Sequence sequence)`
Counts the number of stop codons in an amino acid sequence
`static Sequence`
Sequence.`getSubSequence(Sequence sequence, int from, int to)`
Returns a sub-sequence for states from, to (inclusive).
`static Sequence`
Sequence.`replaceStates(Sequence sequence, List<State> searchStates, State replaceState)`
Searchers and replaces a sequence of any states given
`static Sequence`
Sequence.`stripGaps(Sequence sequence)`
Strips a sequence of gaps
`static Sequence`
Sequence.`stripStates(Sequence sequence, List<State> stripStates)`
Strips a sequence of any states given
`static Sequence`
Utils.`translate(Sequence sequence, GeneticCode geneticCode)`
Translates a given `Sequence` to a corresponding `Sequence` under the given genetic code.
`static Sequence`
Utils.`translate(Sequence sequence, GeneticCode geneticCode, int readingFrame)`
Translates a given `Sequence` to a corresponding `Sequence` under the given genetic code.
`static Sequence`
Sequence.`trimSequence(Sequence sequence, List<State> trimStates)`
Constructors in jebl.evolution.sequences with parameters of type Sequence
Modifier
Constructor
Description
``
`FilteredSequence(Sequence source)`
Creates a FilteredSequence wrapper to the given source sequence.
``
`GaplessSequence(Sequence source)`
``
`TranslatedSequence(Sequence source, GeneticCode geneticCode)`
Create a TranslatedSequence from a source codon or nucleotide sequence
``
`TranslatedSequence(Sequence source, GeneticCode geneticCode, int frame)`
Create a TranslatedSequence from a source codon or nucleotide sequence